@keyframes opacity-effect {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

@keyframes pass-slide-effect {
    0% {
        width: 0%;
        opacity: 0%;
    }

    1% {
        opacity: 100%;
    }

    100% {
        width: 100%;
    }
}

@keyframes animation-slides-effect-right {
    0% {
        opacity: 0;
        transform: translateX(1000px);
    }

    60% {
        opacity: 0;
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes animation-slides-effect-left {
    0% {
        opacity: 0;
        transform: translateX(-1000px);
    }

    60% {
        opacity: 0;
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes animation-slides-logo {
    0% {
        opacity: 0;
        transform: scale3d(.1, .1, .1) translate3d(0, 1000px, 0);
        animation-timing-function: cubic-bezier(0.550, 0.055, 0.675, 0.190);
    }

    60% {
        opacity: 1;
        transform: scale3d(.475, .475, .475) translate3d(0, -60px, 0);
        animation-timing-function: cubic-bezier(0.175, 0.885, 0.320, 1);
    }
}

@keyframes animation-vibration-1 {
    0% {
        transform: translate(0)
    }

    20% {
        transform: translate(-2px, 2px)
    }

    40% {
        transform: translate(-2px, -2px)
    }

    60% {
        transform: translate(2px, 2px)
    }

    80% {
        transform: translate(2px, -2px)
    }

    100% {
        transform: translate(0)
    }
}

.introduction {
    opacity: 1;
    width: 100%;
    height: 100%;
    filter: blur(0);
    overflow: hidden;
    position: relative;
    transform: translateX(0);
}

.introduction .container {
    position: relative;
}

.introduction .container .container-background {
    width: 100%;
    height: 100vh;
    position: relative;
    transition: all 0.2s ease-in-out;
}

.introduction .container .container-background img {
    display: none;
}

.introduction .container .container-background img.active {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    animation: animation-slides-effect-left 0.5s linear 0s 1 normal none;
}

.introduction .container .container-background::before {
    content: '';
    right: 0;
    bottom: 0;
    width: 55%;
    z-index: 2;
    height: 100%;
    position: absolute;
    background: linear-gradient(to left, #ffffff, transparent);
}

.introduction .container .container-information {
    top: 0px;
    z-index: 5;
    width: 40%;
    right: 40px;
    height: 100%;
    display: flex;
    text-align: center;
    position: absolute;
    flex-direction: column;
    justify-content: center;
    transition: all 0.2s ease-in-out;
}

.introduction .container .container-information h1 {
    margin: 0 0 10px 0;
    text-transform: uppercase;
}

.introduction .container .container-information h1.active {
    animation: animation-slides-effect-right 0.8s linear 0s 1 normal none;
}

.introduction .container .container-information .container-logo {
    width: 100%;
    height: 200px;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
}

.introduction .container .container-information .container-logo img {
    display: none;
}

.introduction .container .container-information .container-logo img.active {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    animation: animation-slides-logo 0.5s both 0s;
}

.introduction .container .container-information .introduction-text {
    position: relative;
}

.introduction .container .container-information .introduction-text p {
    display: none;
}

.introduction .container .container-information .introduction-text p.active {
    display: block;
    color: #000000;
    text-align: center;
    margin: 10px 0px 10px;
    animation: animation-slides-effect-right 0.8s linear 0s 1 normal none;
}

.introduction .container .container-information .introduction-trailer {
    width: 100%;
    height: 250px;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
}

.introduction .container .container-information .introduction-trailer .cardvideo {
    display: none;
    animation: opacity-effect 0.1s linear;
}

.introduction .container .container-information .introduction-trailer .cardvideo.active {
    width: 80%;
    height: 100%;
    display: flex;
    overflow: hidden;
    position: relative;
    border-radius: 5px;
    align-items: center;
    justify-content: flex-end;
    transition: all 0.5s ease-in-out;
    box-shadow: 0 5px 7px 0 rgba(0, 0, 0, 0.8);
    animation: animation-slides-effect-right 0.8s linear 200ms 1 normal none;
}

.introduction .container .container-information .introduction-trailer .cardvideo video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
}

.introduction .container .controls {
    z-index: 5;
    left: 50px;
    bottom: 20px;
    display: flex;
    position: absolute;
    align-items: center;
}

.introduction .container .controls i {
    padding: 5px;
    cursor: pointer;
    font-size: 50px;
    color: #ffffff;
    transition: all 0.5s ease-in-out;
    filter: drop-shadow(0 5px 7px rgba(0, 0, 0, 0.8));
}

.introduction .container .controls i:hover {
    color: #e60012;
}

.introduction .container .controls .controls-bar {
    display: flex;
    align-items: center;
    justify-content: center;
}

.introduction .container .controls .controls-bar div {
    width: 40px;
    margin: 5px;
    height: 10px;
    cursor: pointer;
    position: relative;
    background: #ffffff;
    border: 3px solid #ffffff;
}

.introduction .container .controls .controls-bar div.active {
    background: #ffffff;
}

.introduction .container .controls .controls-bar div.active::before {
    content: '';
    top: 0;
    left: 0;
    width: 0%;
    z-index: 1;
    height: 100%;
    position: absolute;
    background: #e60012;
    transition: all 0.5s ease-in-out;
    animation: pass-slide-effect 30s infinite linear;
}

@media (max-width: 991px) {
    .introduction .container .container-background::before {
        width: 70%;
    }

    .introduction .container .container-information {
        width: 50%;
        right: 20px;
    }

    .introduction .container .container-information .introduction-trailer .cardvideo.active {
        width: 100%;
    }

    .introduction .container .controls {
        left: 20px;
        bottom: 15px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .introduction .container {
        min-height: 100vh;
    }

    .introduction .container .container-background {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        position: absolute;
    }

    .introduction .container .container-background::before {
        width: 100%;
        background: #ffffff20;
        backdrop-filter: blur(25px);
    }

    .introduction .container .container-information {
        left: 0px;
        width: 100%;
        position: relative;
        padding: 100px 10px 20px 10px;
    }

    .introduction .container .container-information .container-logo {
        height: 120px;
    }

    .introduction .container .container-information .introduction-trailer {
        height: 230px;
    }

    .introduction .container .container-information .introduction-text p.active {
        font-weight: 400;
    }

    .introduction .container .controls {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        display: flex;
        position: relative;
        align-items: center;
        padding-bottom: 50px;
        justify-content: center;
    }
}

@media only screen and (min-device-width: 480px) and (max-device-width: 800px) {
    .introduction .container {
        display: flex;
        min-height: 100vh;
        justify-content: right;
    }

    .introduction .container .container-background {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        position: absolute;
    }

    .introduction .container .container-information {
        position: relative;
        padding: 100px 10px 20px 10px;
    }

    .introduction .container .container-background::before {
        width: 90%;
    }
}

@media only screen and (min-device-width: 480px) and (max-device-width: 800px) {
    .introduction .container {
        flex-direction: column;
    }

    .introduction .container .container-background::before {
        width: 100%;
    }
}

.information {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 100px 40px;
}

.information .title {
    margin-bottom: 0;
}

.information .container {
    width: 100%;
    display: grid;
    grid-row-gap: 20px;
    position: relative;
    grid-column-gap: 20px;
    grid-template-columns: repeat(3, 1fr);
}

.information .container .card-product {
    width: 100%;
    height: 100%;
    display: flex;
    overflow: hidden;
    text-align: center;
    position: relative;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    padding: 60px 20px 0 20px;
    transition: all 0.5s ease-in-out;
}

.information .container .card-product .container-img {
    z-index: 2;
    width: 220px;
    height: 220px;
    border-radius: 50%;
    position: relative;
    background: #e60012;
    transition: all 0.3s ease-in-out;
    filter: drop-shadow(0px 1px 1px #000000);
}

.information .container .card-product:hover .container-img:hover {
    transform: scale(1.2);
}

.information .container .card-product .container-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: all 0.5s ease-in-out;
}

.information .container .card-product:hover .container-img:hover img:hover {
    transform: scale(1.4);
}

.information .container .card-product .container-text {
    opacity: 0;
    margin-top: 30px;
    transform: translateY(-100px);
    transition: all 0.3s ease-in-out;
}

.information .container .card-product:hover .container-text {
    opacity: 1;
    transform: translateY(0px)
}

.information .container .card-product .container-text p {
    text-transform: uppercase;
}

@media (max-width: 991px) {
    .information {
        padding: 100px 20px;
    }

    .information .container .card-product .container-img {
        width: 150px;
        height: 150px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .information {
        padding: 50px 10px 20px 10px;
    }

    .information .container {
        grid-row-gap: 0px;
        grid-template-areas:
            "top top"
            ". .";
        grid-column-gap: 10px;
        grid-template-rows: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
    }

    .information .container .card-product {
        padding: 15px 0px 0 0px;
    }

    .information .container .card-product:nth-child(1) {
        grid-area: top;
    }
}

@media only screen and (min-device-width: 480px) and (max-device-width: 800px) {
    .information {
        padding: 100px 20px 50px 20px;
    }
}

.switch-oled-introduction {
    width: 100%;
    min-height: 100vh;
    position: relative;
    background: #0d0d0d;
    /* background: #e60012; */
}

.switch-oled-introduction .container {
    padding: 0px 40px;
    position: relative;
}

.switch-oled-introduction .container .container-title {
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
}

.switch-oled-introduction .container .container-title .text {
    width: 50%;
    height: auto;
    display: flex;
    color: #ffffff;
    padding-top: 10px;
    position: relative;
    flex-direction: column;
    justify-content: center;
}

.switch-oled-introduction .container .container-title .text h1 {
    font-size: 22px;
    font-weight: 400;
    margin-bottom: 20px;
}

.switch-oled-introduction .container .container-title .text h1 span {
    font-size: 35px;
    color: #e60012;
    text-transform: uppercase;
}

.switch-oled-introduction .container .container-title .container-img {
    width: 50%;
    height: 340px;
    position: relative;
}

.switch-oled-introduction .container .container-title .container-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.switch-oled-introduction .container .container-card {
    width: 100%;
    display: grid;
    margin-top: 100px;
    grid-row-gap: 20px;
    position: relative;
    grid-column-gap: 20px;
    padding-bottom: 100px;
    grid-template-columns: repeat(3, 1fr);
}

.switch-oled-introduction .container .container-card .card {
    position: relative;
}

.switch-oled-introduction .container .container-card .card .container-img {
    width: 100%;
    height: 170px;
    overflow: hidden;
    position: relative;
    border-radius: 5px;
}

.switch-oled-introduction .container .container-card .card .container-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    background: #000000;
    /* background: #0d0d0d; */
    transition: all 0.5s ease-in-out;
}

.switch-oled-introduction .container .container-card .card .container-img img:hover {
    transform: scale(1.1);
}

.switch-oled-introduction .container .container-card .card:nth-child(3) .container-img img {
    object-fit: contain;
}

.switch-oled-introduction .container .container-card .card h1 {
    color: #e60012;
    text-align: center;
    margin: 10px 10px 15px 10px;
}

.switch-oled-introduction .container .container-card .card p {
    color: #ffffff;
    text-align: center;
    margin: 0px 10px 0px 10px;
}

@media (max-width: 991px) {
    .switch-oled-introduction .container {
        padding: 0 20px;
    }

    .switch-oled-introduction .container .container-title .container-img {
        height: 260px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .switch-oled-introduction .container {
        padding: 0 10px;
    }

    .switch-oled-introduction .container .container-title {
        flex-direction: column-reverse;
    }

    .switch-oled-introduction .container .container-title .text {
        width: 100%;
        padding: 30px 0 0 0;
    }

    .switch-oled-introduction .container .container-title .text h1 {
        font-size: 20px;
    }

    .switch-oled-introduction .container .container-title .text h1 span {
        font-size: 26px;
    }

    .switch-oled-introduction .container .container-title .container-img {
        width: 100%;
        height: 200px;
    }

    /* .switch-oled-introduction .container .container-title .container-img {
        width: 100%;
        height: 170px;
    } */

    .switch-oled-introduction .container .container-card {
        margin: 0px;
        display: block;
        padding: 0px 0px 50px 0px;
    }

    .switch-oled-introduction .container .container-card .card {
        padding: 50px 0 0 0;
    }

    .switch-oled-introduction .container .container-card .card .container-img {
        height: 100px;
    }
}

.carousel {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 100px 40px;
}

.carousel .container {
    position: relative;
}

.carousel .container .container-img {
    width: 100%;
    height: 85vh;
    margin-top: 0px;
    border-radius: 4px;
    position: relative;
}

.carousel .container .container-img img,
.carousel .container .container-img video {
    display: none;
}

.carousel .container .container-img img.active,
.carousel .container .container-img video.active {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    border-radius: 4px;
    animation: animation-slides-logo 0.2s both 0s;
}

.carousel .container .container-card-img {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 20px 0px 0px 0px;
    justify-content: space-between;
}

.carousel .container .container-card-img:hover .card img {
    opacity: 0.4;
}

.carousel .container .container-card-img:hover .card.card.active img {
    opacity: 1;
}

.carousel .container .container-card-img .card {
    width: 100px;
    height: 80px;
    padding: 10px;
    position: relative;
    border-radius: 10px;
    transition: all 0.5s ease-in-out;
}

.carousel .container .container-card-img .card.active {
    overflow: hidden;
    border-radius: 10px;
    border: 1px solid #0d0d0d;

    /* background: #e6001220; */
}

.carousel .container .container-card-img .card.active::before {
    content: '';
    bottom: 0;
    left: 0;
    width: 0%;
    z-index: 1;
    height: 10%;
    position: absolute;
    border-radius: 0px;
    background: #e60012;
    transition: all 0.5s ease-in-out;
    animation: pass-slide-effect 30s infinite linear;
}

.carousel .container .container-card-img .card:hover {
    transform: translateY(-15px);
}

.carousel .container .container-card-img .card img {
    opacity: 1;
    z-index: 10;
    width: 100%;
    height: 100%;
    cursor: pointer;
    object-fit: contain;
    transition: all 0.5s ease-in-out;
}

.carousel .container .container-card-img .card:hover img:hover {
    opacity: 1;
}

@media (max-width: 991px) {
    .carousel {
        padding: 100px 20px;
    }

    .carousel .container .container-img {
        height: 70vh;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .carousel {
        padding: 50px 10px;
    }

    .carousel .container .container-img {
        height: 35vh;
    }

    .carousel .container .container-card-img {
        bottom: 0px;
        position: absolute;
        justify-content: space-evenly;
    }

    .carousel .container .container-card-img .card {
        z-index: 2;
        width: 40px;
        margin: 5px;
        height: 10px;
        padding: 0px;
        cursor: pointer;
        position: relative;
        border-radius: 2px;
        position: relative;
        background: #ffffff;
        border: 3px solid #ffffff;
    }

    .carousel .container .container-card-img .card.active {
        border-radius: 2px;
        background: #ffffff;
        border: 3px solid #ffffff;
    }

    .carousel .container .container-card-img .card.active::before {
        height: 100%;
        background: #e60012;
    }

    .carousel .container .container-card-img .card:hover {
        transform: translateY(0px);
    }

    .carousel .container .container-card-img .card img {
        display: none;
    }
}

.nintendo-switch {
    width: 100%;
    height: 100%;
    padding: 0px 40px;
    position: relative;
}

.nintendo-switch .container {
    width: 100%;
    height: 100%;
    position: relative;
}

.nintendo-switch .container .card {
    width: 100%;
    height: 100%;
    display: grid;
    padding: 30px;
    position: relative;
    margin-bottom: 50px;
    border-radius: 10px;
    grid-column-gap: 50px;
    border: solid 1px #d9d9d9;
    grid-template-columns: 1fr 2fr;
}

.nintendo-switch .container .card .container-text {
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
    flex-direction: column;
    justify-content: space-between;
}

.nintendo-switch .container .card .container-text .titleText {
    font-size: 35px;
    font-weight: 400;
    color: #e60012;
    margin-bottom: 15px;
    text-transform: uppercase;
}

.nintendo-switch .container .card .container-text .datasheet {
    margin: 30px 0;
}

.nintendo-switch .container .card .container-text .datasheet h1 {
    margin-bottom: 10px;
}

.nintendo-switch .container .card .container-text .datasheet p {
    margin-bottom: 15px;
}

.nintendo-switch .container .card .container-text .datasheet p span {
    color: #000000;
    font-weight: 400;
}

.nintendo-switch .container .card .container-text .datasheet i {
    font-size: 20px;
    color: #e60012;
}

.nintendo-switch .container .card .container-text .container-focus-img {
    width: 100%;
    height: 300px;
    position: relative;
    overflow: hidden;
}

.nintendo-switch .container .card .container-text .container-focus-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: all 0.5s ease-in-out;
}

.nintendo-switch .container .card .container-text .container-focus-img:hover img {
    transform: scale(1.1);
}

.nintendo-switch .container .card .container-text .container-support {
    width: 100%;
    height: 100px;
    display: grid;
    margin-top: 10px;
    position: relative;
    grid-column-gap: 5px;
    grid-template-columns: repeat(3, 1fr);
}

.nintendo-switch .container .card .container-text .container-support .container-support-img {
    width: 100%;
    height: inherit;
    position: relative;
}

.nintendo-switch .container .card .container-text .container-support .container-support-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.nintendo-switch .container .card .container-img {
    top: 0px;
    width: 100%;
    position: sticky;
    height: fit-content;
    padding: 30px 0 0 0;
}

.nintendo-switch .container .card .container-img .main-img {
    width: 100%;
    height: 450px;
    position: relative;
    margin-bottom: 35px;
    border-radius: 4px;
    overflow: hidden;
    box-shadow: 0 5px 7px 0 rgba(0, 0, 0, 0.3);
}

.nintendo-switch .container .card .container-img .main-img img {
    display: none;
}

.nintendo-switch .container .card .container-img .main-img img.active {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    border-radius: 4px;
    /* animation: animation-slides-logo 0.2s both 0s; */
    /* animation: animation-slides-logo 0.5s both 0s; */
    animation: animation-slides-effect-left 0.2s linear 0s 1 normal none;
}

.nintendo-switch .container .card .container-img .list-img {
    width: 100%;
    height: auto;
    display: grid;
    grid-row-gap: 20px;
    position: relative;
    grid-column-gap: 20px;
    transition: all 0.5s ease-in-out;
    grid-template-columns: repeat(5, 1fr);
}

.nintendo-switch .container .card .container-img .list-img .secondary-img {
    width: 100%;
    height: 80px;
    overflow: hidden;
    position: relative;
    border-radius: 4px;
    border: 1px solid #d9d9d9;
    transition: all 0.5s ease-in-out;
}

.nintendo-switch .container .card .container-img .list-img:hover .secondary-img img {
    opacity: 0.7;
}

.nintendo-switch .container .card .container-img .list-img .secondary-img:hover img,
.nintendo-switch .container .card .container-img .list-img .secondary-img.active img {
    opacity: 1;
}

.nintendo-switch .container .card .container-img .list-img .secondary-img.active::before {
    content: '';
    left: 0;
    bottom: 0;
    width: 0%;
    z-index: 2;
    height: 10%;
    position: absolute;
    border-radius: 0px;
    background: #e60012;
    transition: all 0.5s ease-in-out;
    animation: pass-slide-effect 30s infinite linear;
}

.nintendo-switch .container .card .container-img .list-img .secondary-img img {
    width: 100%;
    height: 100%;
    opacity: 0.5;
    cursor: pointer;
    object-fit: cover;
    border-radius: 4px;
    transition: all 0.5s ease-in-out;
}

.nintendo-switch .container .card .container-img .list-img .secondary-img:hover {
    transform: translateY(-15px);
}

@media (max-width: 991px) {
    .nintendo-switch {
        padding: 0 20px;
    }

    .nintendo-switch .container .card {
        padding: 20px;
        grid-column-gap: 10px;
        grid-template-columns: 1fr 1fr;
    }

    .nintendo-switch .container .card .container-img .main-img {
        height: 350px;
    }

    .nintendo-switch .container .card .container-img .list-img .secondary-img {
        height: 50px;
    }

    .nintendo-switch .container .card .container-text .container-focus-img {
        height: 200px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .nintendo-switch {
        padding: 0 10px;
    }

    .nintendo-switch .container .card {
        display: flex;
        padding: 10px;
        margin-bottom: 30px;
        flex-direction: column;
    }

    .nintendo-switch .container .card .container-text .titleText {
        font-size: 26px;
    }


    .nintendo-switch .container .card .container-text .datasheet {
        margin: 30px 0px 0px 0px;
    }

    .nintendo-switch .container .card .container-text .container-focus-img {
        height: 150px;
        margin-bottom: 15px;
    }

    .nintendo-switch .container .card .container-img {
        position: relative;
        padding-top: 10px;
    }

    .nintendo-switch .container .card .container-img .main-img {
        height: 230px;
        margin-bottom: 25px;
    }
}

@media only screen and (min-device-width: 480px) and (max-device-width: 800px) {
    .nintendo-switch .container .card .container-img .main-img {
        height: 230px;
    }
}

.game-modes {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 50px 40px 0px 40px;
    transition: all 0.5s ease-in-out;
}

.game-modes .container {
    position: relative;
}

.game-modes .container .card-game-modes {
    width: 100%;
    height: 100%;
    display: grid;
    position: relative;
    border-radius: 10px;
    margin-bottom: 50px;
    border: 1px solid #d9d9d9;
    transition: all 0.5s ease-in-out;
    grid-template-columns: repeat(2, 1fr);
}

.game-modes .container .card-game-modes:hover {
    box-shadow: 0 5px 7px 0 rgba(0, 0, 0, 0.3);
}

.game-modes .container .card-game-modes .container-img {
    width: 100%;
    height: 400px;
    /* display: flex; */
    overflow: hidden;
    position: relative;
    /* align-items: center; */
    /* justify-content: center; */
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.game-modes .container .card-game-modes .container-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    transition: all 0.5s ease-in-out;
}

.game-modes .container .card-game-modes:hover .container-img img {
    transform: scale(1.1);
}

.game-modes .container .card-game-modes .container-img.reverse {
    border-top-left-radius: 0px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 10px;
}

.game-modes .container .card-game-modes .container-img.reverse img {
    border-top-left-radius: 0px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 10px;
}

.game-modes .container .card-game-modes .container-text {
    width: 100%;
    height: auto;
    padding: 30px;
    display: flex;
    align-items: center;
    flex-direction: column;
    box-sizing: border-box;
    justify-content: center;
}

.game-modes .container .card-game-modes .container-text .container-title {
    display: flex;
    align-items: center;
    justify-content: center;
}

.game-modes .container .card-game-modes .container-text .container-title .title-img {
    width: 150px;
    height: 150px;
    position: relative;
}

.game-modes .container .card-game-modes .container-text .container-title .title-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: all 0.4s ease-in-out;
}

/* .game-modes .container .card-game-modes:hover .container-text .container-title .title-img img {
    filter: invert(12%) sepia(94%) saturate(7318%) hue-rotate(352deg) brightness(102%) contrast(112%);
} */

.game-modes .container .card-game-modes .container-text .container-title h1 {
    margin-left: 10px;
    padding-left: 10px;
    text-transform: uppercase;
    transition: all 0.5s ease-in-out;
    border-left: 3px solid #000000;
}

.game-modes .container .card-game-modes:hover .container-text .container-title h1 {
    color: #e60012;
    color: #e60012;
    border-left: 3px solid #e60012;
}

.game-modes .container .card-game-modes .container-text p {
    text-align: center;
    position: relative;
}

.game-modes .container .card-game-modes .container-text a {
    width: 100%;
}

@media (max-width: 991px) {
    .game-modes {
        padding: 50px 20px 0px 20px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .game-modes {
        padding: 20px 10px 0px 10px;
    }

    .game-modes .container .card-game-modes {
        display: block;
    }

    .game-modes .container .card-game-modes .container-img {
        height: 200px;
    }

    .game-modes .container .card-game-modes .container-text {
        padding: 0px 10px 30px 10px;
    }

    .game-modes .container .card-game-modes .container-text .container-title .title-img {
        width: 100px;
        height: 100px;
    }

    .game-modes .container .card-game-modes {
        margin-bottom: 30px;
    }

    .game-modes .container .card-game-modes .container-text .container-title {
        width: 100%;
        justify-content: left;
    }

    .game-modes .container .card-game-modes .container-text p {
        text-align: left;
    }
}

.highlights {
    width: 100%;
    height: 100%;
    position: relative;
    margin-top: 100px;
}

.highlights .container {
    display: flex;
    position: relative;
    align-items: center;
    padding: 100px 40px;
    background: #0d0d0d;
    justify-content: center;
}

.highlights .container .title {
    margin: 0px;
    position: relative;
    padding: 0px 50px 0px 0px;
}

.highlights .container .title h2 {
    position: relative;
}

.highlights .container .title h2 span {
    color: #e60012;
}

.highlights .container .card-introduction {
    width: 100%;
    height: 100%;
    display: grid;
    position: relative;
    border-radius: 10px;
    grid-template-columns: repeat(3, 1fr);
}

.highlights .container .card-introduction .card {
    width: 100%;
    height: 120px;
    color: #ffffff;
    position: relative;
    text-align: center;
}

.highlights .container .card-introduction .card img {
    width: 100%;
    height: 100%;
    padding: 10px;
    border-radius: 10px;
    object-fit: contain;
    transition: all 0.5s ease-in-out;
}

.highlights .container .card-introduction .card:hover img {
    transform: scale(1.1);
}

.highlights.controls {
    margin-top: 100px;
}

.highlights.controls .container .card-introduction {
    border-radius: 10px;
    background: #ffffff;
}

.highlights.controls .container .card-introduction .card {
    height: 200px;
}

/* .highlights .container .card-introduction.controls .card img {
    
} */

/* .highlights .container .card-introduction.controls .card:hover img {
    transform: scale(1.1);

} */

@media (max-width: 991px) {
    .highlights .container {
        padding: 100px 20px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {

    .highlights,
    .highlights.controls {
        margin-top: 50px;
    }

    .highlights .container {
        display: block;
        padding: 50px 10px;
    }

    .highlights .container .title {
        padding: 0;
        margin-bottom: 30px;
    }

    .highlights .container .card-introduction {
        margin-bottom: 50px;
    }

    .highlights.controls .container .card-introduction {
        margin-bottom: 0px;
    }

    .highlights.controls .container .card-introduction .card {
        height: 100px;
    }
}

.game {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 100px 40px 0px 40px;
}

.game .btn-primary {
    width: 100%;
    margin-top: 40px
}

.game .container {
    width: 100%;
    display: grid;
    grid-row-gap: 30px;
    position: relative;
    grid-column-gap: 20px;
    grid-template-columns: repeat(4, 1fr);
}

.game .container .card {
    width: 100%;
    height: 100%;
    display: flex;
    cursor: pointer;
    position: relative;
    border-radius: 10px;
    flex-direction: column;
    border: 1px solid #d9d9d9;
    justify-content: space-between;
    transition: all 0.5s ease-in-out;
}

.game .container .card:hover {
    box-shadow: 0 5px 7px 0 rgba(0, 0, 0, 0.3);
}

.game .container .card .container-img {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    transition: all 0.5s ease-in-out;
}

.game .container .card:hover .container-img {
    transform: translateY(-15px);
}

.game .container .card .container-img img {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    transition: all 0.5s ease-in-out;
}

.game .container .card .container-img h1 {
    text-align: left;
    margin: 10px;
    transition: all 0.5s ease-in-out;
}

.game .container .card:hover .container-img h1 {
    color: #e60012;
    /* margin: 25px 0px 10px 10px; */
}

.game .container .card .container-text {
    position: relative;
    padding: 0px 5px 10px 5px;
}

.game .container .card .container-text p {
    text-align: left;
    padding: 0 5px 10px 5px;
}

.game .container .card .container-text .container-support {
    width: 100%;
    height: 60px;
    display: grid;
    position: relative;
    grid-column-gap: 5px;
    grid-template-columns: repeat(3, 1fr);
}

.game .container .card .container-text .container-support .container-support-img {
    width: 100%;
    height: inherit;
    position: relative;
}

.game .container .card .container-text .container-support .container-support-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media (max-width: 991px) {
    .game {
        padding: 100px 20px 0px 20px;
    }

    .game .container {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .game {
        padding: 50px 10px 0px 10px;
    }

    .game .container {
        grid-column-gap: 10px;
        grid-template-columns: repeat(2, 1fr);
    }

    .game .container .card .container-img h1 {
        font-size: 17px;
        margin: 10px 5px;
    }

    .game .container .card .container-text p {
        padding: 0px;
        font-size: 15px;
    }

    .game .btn-primary {
        margin-top: 30px;
    }
}

.joystick {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 100px 40px 0 40px;
}

.joystick .btn-primary {
    width: 100%;
    margin-top: 40px;
}

.joystick .container {
    width: 100%;
    display: grid;
    grid-row-gap: 30px;
    position: relative;
    grid-column-gap: 20px;
    grid-template-columns: repeat(4, 1fr);
}

.joystick .container .card {
    width: 100%;
    height: 100%;
    display: flex;
    cursor: pointer;
    position: relative;
    border-radius: 10px;
    flex-direction: column;
    border: 1px solid #d9d9d9;
    justify-content: space-between;
    transition: all 0.5s ease-in-out;
}

.joystick .container .card:hover {
    box-shadow: 0 5px 7px 0 rgba(0, 0, 0, 0.3);
}

.joystick .container .card .container-img {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    transition: all 0.5s ease-in-out;
}

.joystick .container .card:hover .container-img {
    transform: translateY(-15px);
}

.joystick .container .card .container-img img {
    width: 100%;
    height: 200px;
    padding: 25px 0 0 0;
    object-fit: contain;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    transition: all 0.5s ease-in-out;
}

.joystick .container .card .container-img h1 {
    text-align: left;
    margin: 10px;
    transition: all 0.5s ease-in-out;
}

.joystick .container .card:hover .container-img h1 {
    color: #e60012;
    /* margin: 25px 0px 10px 10px; */
}

.joystick .container .card .container-text {
    position: relative;
    padding: 5px 10px 10px 10px;
}

.joystick .container .card .container-text p {
    font-weight: 300;
    position: relative;
    /* margin-bottom: 10px; */

}

/* 
.joystick .container .card .container-text p.gray {
    color: #828282;
}

.joystick .container .card .container-text p.neon-red {
    color: #FF3C28;
}

.joystick .container .card .container-text p.neon-blue {
    color: #0AB9E6;
}

.joystick .container .card .container-text p.neon-yellow {
    color: #cae200;
}

.joystick .container .card .container-text p.neon-green {
    color: #00e352;
}

.joystick .container .card .container-text p.neon-pink {
    color: #ff4883;
}

.joystick .container .card .container-text p.blue {
    color: #4f61c5;
}

.joystick .container .card .container-text p.neon-purple {
    color: #8f2daa;
}

.joystick .container .card .container-text p.neon-orange {
    color: #f6b129;
}

.joystick .container .card .container-text p.pastel-pink {
    color: #f7b0be;
}

.joystick .container .card .container-text p.pastel-yellow {
    color: #e2e78d;
}

.joystick .container .card .container-text p.pastel-purple {
    color: #dbc1ea;
}

.joystick .container .card .container-text p.pastel-green {
    color: #c1e9c4;
} */

@media (max-width: 991px) {
    .joystick {
        padding: 100px 20px 0px 20px;
    }

    .joystick .container {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .joystick {
        padding: 50px 10px 0px 10px;
    }

    .joystick .container {
        grid-column-gap: 10px;
        grid-template-columns: repeat(2, 1fr);
    }

    .joystick .container .card .container-img h1 {
        font-size: 17px;
        margin: 10px 5px;
    }

    .joystick .container .card .container-text {
        padding: 5px 5px 10px 5px;
    }

    .joystick .btn-primary {
        margin-top: 30px;
    }
}

.menu-home {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 100px 40px;
}

.menu-home .container {
    width: 100%;
    height: 100%;
    position: relative;
}

.menu-home .container .card {
    width: 100%;
    height: 100%;
    position: relative;
    border-radius: 10px;
    border: 1px solid #d9d9d9;
    padding: 0px;
}

.menu-home .container .card h1.text {
    padding: 0 30px 30px 30px;
}

.menu-home .container .card .content-text {
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
    padding: 30px 0px 30px 30px;
}

.menu-home .container .card .content-text .text {
    width: 50%;
    height: auto;
    display: flex;
    color: #000000;
    position: relative;
    margin-right: 30px;
    flex-direction: column;
    justify-content: center;
}

.menu-home .container .card .content-text .text h1 {
    font-size: 35px;
    font-weight: 400;
    margin-bottom: 20px;
    text-transform: uppercase;
}

.menu-home .container .card .content-text .container-img {
    width: 50%;
    height: 340px;
    position: relative;
    background: url(../img/menu/menu_background.webp) right no-repeat;
    background-size: contain;
}

.menu-home .container .card .content-card {
    width: 100%;
    display: grid;
    grid-row-gap: 30px;
    position: relative;
    grid-column-gap: 30px;
    padding: 0 30px 30px 30px;
    grid-template-columns: repeat(2, 1fr);
}

.menu-home .container .card .content-card .card-icone {
    width: 100%;
    height: 100%;
    display: grid;
    padding: 20px;
    position: relative;
    border-radius: 10px;
    border: 1px solid #000000;
    grid-template-columns: 1fr 10fr;
}

.menu-home .container .card .content-card .card-icone.news {
    border: 1px solid #e60012;
}

.menu-home .container .card .content-card .card-icone.eshop {
    border: 1px solid #ff9f00;
}

.menu-home .container .card .content-card .card-icone.album {
    border: 1px solid #1372ff;
}

.menu-home .container .card .content-card .card-icone .container-icone-img {
    width: 70px;
    height: 70px;
    position: relative;
    margin-right: 20px;
}

.menu-home .container .card .content-card .card-icone .container-icone-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.menu-home .container .card .content-card .card-icone .container-text h1 {
    color: #000000;
    margin-bottom: 10px;
    text-transform: uppercase;
}

.menu-home .container .card .content-card .card-icone.news .container-text h1 {
    color: #e60012;
}

.menu-home .container .card .content-card .card-icone.eshop .container-text h1 {
    color: #ff9f00;
}

.menu-home .container .card .content-card .card-icone.album .container-text h1 {
    color: #1372ff;
}

.menu-home .container .card .content-card .card-icone .container-text p {
    position: relative;
}

@media (max-width: 991px) {
    .menu-home {
        padding: 100px 20px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .menu-home {
        padding: 50px 10px;
    }

    .menu-home .container .card .content-text {
        flex-direction: column;
        padding: 30px 10px 30px 10px;
    }

    .menu-home .container .card .content-text .text {
        width: 100%;
        height: 100%;
        margin: 0 0 20px 0;
    }

    .menu-home .container .card .content-text .text h1 {
        font-size: 20px;
        margin-bottom: 10px;
    }

    .menu-home .container .card .content-text .container-img {
        width: 100%;
        height: 150px;
        background: url(../img/menu/menu_background_mobile.webp) center no-repeat;
        background-size: contain;
    }

    .menu-home .container .card .content-card {
        display: block;
        padding: 0px 10px 30px 10px;
    }

    .menu-home .container .card .content-card .card-icone {
        padding: 10px;
        margin-top: 20px;
    }

    .menu-home .container .card h1.text {
        padding: 0px 10px 0px 10px;
    }

    .menu-home .container .card .content-card .card-icone .container-icone-img {
        width: 50px;
        height: 50px;
    }
}

.services {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 0px 40px 100px 40px;
}

.services .container {
    width: 100%;
    width: 100%;
    height: 100%;
    height: auto;
    display: grid;
    position: relative;
    grid-row-gap: 20px;
    position: relative;
    grid-column-gap: 20px;
    grid-template-columns: repeat(2, 1fr);
}

.services .container .card {
    width: 100%;
    height: 100%;
    cursor: pointer;
    position: relative;
    border-radius: 30px;
    background: #e60012;
    padding: 0 30px 30px 30px;
    transition: all 0.5s ease-in-out;
}

.services .container .card:hover {
    /* box-shadow: rgba(0, 0, 0, 0.7) 0px 10px 10px -7px; */
    box-shadow: rgba(0, 0, 0, 0.45) 0px 25px 20px -20px;
}

.services .container .card.controlo-parental {
    background: #d9d9d9;
}

.services .container .card::before {
    content: '';
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 70px;
    position: absolute;
    background: #ffffff;
    /* background-image: linear-gradient(to left bottom, #ffffff, #fff ); */
}

.services .container .card .content {
    width: 100%;
    height: 100%;
}

.services .container .card .content::after {
    content: '';
    right: 0;
    top: 70px;
    z-index: 5;
    width: 50px;
    height: 50px;
    position: absolute;
    border-radius: 50%;
    box-shadow: 20px -20px 0 #ffffff;
}

.services .container .card .content::before {
    content: '';
    left: 0;
    top: 70px;
    z-index: 5;
    width: 50px;
    height: 50px;
    position: absolute;
    border-radius: 50%;
    box-shadow: -20px -20px 0 #ffffff;
}

.services .container .card .container-img {
    z-index: 2;
    width: 100%;
    height: 200px;
    position: relative;
}

.services .container .card .container-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: all 0.5s ease-in-out;
    filter: drop-shadow(0px 1px 1px #000000);
}

.services .container .card:hover .container-img:nth-child(1) img {
    transform: translateY(-15px);
}

.services .container .card:hover .container-img img {
    filter: drop-shadow(0px -1px 3px #000000);
}

.services .container .card .container-img.logo {
    height: 70px;
    margin-top: 20px;
}

.services .container .card .container-img.logo img {
    filter: drop-shadow(0 0 0);
}

.services .container .card .container-text {
    padding: 20px;
    margin-top: 20px;
    position: relative;
    border-radius: 10px;
    border-left: solid 10px #ffffff;
    border-right: solid 10px #ffffff;
}

.services .container .card.controlo-parental .container-text {
    border-left: solid 10px #000000;
    border-right: solid 10px #000000;
}

.services .container .card .container-text h1 {
    color: #ffffff;
    text-align: center;
}

.services .container .card.controlo-parental .container-text h1 {
    color: #000000;
}

@media (max-width: 991px) {
    .services {
        padding: 0px 20px 100px 20px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .services {
        padding: 0px 10px;
    }

    .services .container {
        display: block;
    }

    .services .container .card {
        margin-bottom: 50px;
    }
}

.banner-footer {
    width: 100%;
    height: 100%;
    position: relative;
    background: #0d0d0d;
}

.banner-footer .container {
    width: 100%;
    height: 450px;
    overflow: hidden;
    position: relative;
}

.banner-footer .container::before {
    content: '';
    z-index: 2;
    top: -60px;
    left: -30px;
    width: 600px;
    height: 100px;
    position: absolute;
    background: #e60012;
    transform: rotateZ(-10deg);
}

.banner-footer .container::after {
    content: '';
    z-index: 2;
    right: -30px;
    width: 600px;
    bottom: -60px;
    height: 100px;
    position: absolute;
    background: #e60012;
    transform: rotateZ(-10deg);
}

.banner-footer .container .container-img-background {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
}

.banner-footer .container .container-img-background img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.3);
    animation: animation-vibration-1 0.5s linear infinite both;
}

.banner-footer .container .card {
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    display: flex;
    position: absolute;
    align-items: center;
    justify-content: left;
}

.banner-footer .container .card .container-img {
    width: 100%;
    height: 100px;
    position: relative;

}

.banner-footer .container .card .container-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    filter: invert(100%) sepia(87%) saturate(0%) hue-rotate(152deg) brightness(113%) contrast(96%);
}

@media (max-width: 991px) {
    .banner-footer .container {
        height: 300px;
    }
}

@media only screen and (min-width: 0px) and (max-width: 767px) {
    .banner-footer .container {
        height: 200px;
    }

    .banner-footer .container::before {
        top: -100px;
    }

    .banner-footer .container::after {
        bottom: -100px;
    }

    .banner-footer .container .card .container-img {
        height: 50px;
    }
}

/* @media only screen and (min-device-width: 480px) and (max-device-width: 767px) and (orientation: landscape) { */
@media only screen and (min-device-width: 480px) and (max-device-width: 800px) {

    .banner-footer .container {
        height: 200px;
    }

    .banner-footer .container::before {
        top: -100px;
    }

    .banner-footer .container::after {
        bottom: -100px;
    }

    .banner-footer .container .card .container-img {
        height: 50px;
    }
}